[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#569677: egroupware-core: base configuration fails with php error if egroupware-emailadmin is not installed

Package: egroupware-core
Version: 1.6.002+dfsg-1
Severity: important

Base configuration using the web frontend cannto be completed if the package
egroupware-emailadmin is not installed as the file class.emailadmin_so.inc.php
is included unconditionally by the configuration / setup frontend.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (950, 'unstable'), (500, 'testing'), (500, 'stable'), (200, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-trunk-686 (SMP w/2 CPU cores)
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash

Versions of packages egroupware-core depends on:
ii  apache2                  2.2.14-5        Apache HTTP Server metapackage
ii  apache2-mpm-prefork [apa 2.2.14-5        Apache HTTP Server - traditional n
ii  debconf [debconf-2.0]    1.5.28          Debian configuration management sy
ii  egroupware-egw-pear      1.6.002-1       modified PEAR modules for eGroupWa
ii  libapache2-mod-php5      5.2.11.dfsg.1-2 server-side, HTML-embedded scripti
ii  perl                     5.10.1-8        Larry Wall's Practical Extraction 
ii  php-fpdf                 2:1.53.dfsg-6.1 PHP class to generate PDF files
ii  php-log                  1.10.0-1        Log module for PEAR
ii  php-pear                 5.2.11.dfsg.1-2 PEAR - PHP Extension and Applicati
ii  php5-cli                 5.2.11.dfsg.1-2 command-line interpreter for the p
ii  php5-gd                  5.2.11.dfsg.1-2 GD module for php5
ii  php5-mysql               5.2.11.dfsg.1-2 MySQL module for php5
ii  php5-pgsql               5.2.11.dfsg.1-2 PostgreSQL module for php5

Versions of packages egroupware-core recommends:
ii  mysql-client-5.0 [mysql-clien 5.0.84-1   MySQL database client binaries
ii  postgresql-client             8.4.2-1    front-end programs for PostgreSQL 
ii  postgresql-client-8.4 [postgr 8.4.2-1    front-end programs for PostgreSQL 

Versions of packages egroupware-core suggests:
pn  egroupware               <none>          (no description available)
pn  php5-auth-pam            <none>          (no description available)
ii  php5-imap                5.2.11.dfsg.1-2 IMAP module for php5
ii  php5-ldap                5.2.11.dfsg.1-2 LDAP module for php5
ii  php5-mcrypt              5.2.11.dfsg.1-2 MCrypt module for php5
ii  php5-mhash               5.2.11.dfsg.1-2 MHASH module for php5

-- debconf information:
* egroupware/configuration/note:
* egroupware/header/user: admin

Reply to: